import './styles.sass';
import {FontAwesomeIcon} from "@fortawesome/react-fontawesome";
import {faInstagram, faTwitter} from "@fortawesome/free-brands-svg-icons";
import {faGlobe} from "@fortawesome/free-solid-svg-icons";

const Person = (props) => (
    <div className="person">
        <img src={props.image} alt={"Image of " + props.name}/>
        <h3>{props.name}</h3>
        <div className="team-socials">
            {props.insta ? <a href={props.insta} target="_blank"><FontAwesomeIcon icon={faInstagram} className="team-icon" /></a> : ""}
            {props.twitter ? <a href={props.twitter} target="_blank"><FontAwesomeIcon icon={faTwitter} className="team-icon" /></a> : ""}
            {props.web ? <a href={props.web} target="_blank"><FontAwesomeIcon icon={faGlobe} className="team-icon" /></a> : ""}
        </div>
    </div>
)

export default Person;